FieldOption
Date: 2016-06-25

org.osgi.service.component.annotations

## Enum FieldOption

- java.lang.Object
- - java.lang.Enum<FieldOption>
  - - org.osgi.service.component.annotations.FieldOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FieldOption>

      public enum FieldOption
      extends java.lang.Enum<FieldOption>

  Field options for the `Reference` annotation.
  Since:
    1.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REPLACE` The replace field option is used to replace the field value with a new value when there are changes to the bound services.
    `UPDATE` The update field option is used to update the collection referenced by the field when there are changes to the bound services.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static FieldOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPDATE

          public static final FieldOption UPDATE

      The update field option is used to update the collection referenced by the field when there are changes to the bound services.

      This field option can only be used when the field reference has dynamic policy and multiple cardinality.

    - #### REPLACE

          public static final FieldOption REPLACE

      The replace field option is used to replace the field value with a new value when there are changes to the bound services.

  - ### Method Detail

    - #### values

          public static FieldOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldOption c : FieldOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<FieldOption>`